package wesen.util;

import java.util.*;
import java.awt.Color;


/**
 * Hiermit kann ein String wie z.B. "black" in die Color.black (Klasse Color) umgewandelt werden. 
 * Wird z.B. benutzt wenn die Farbe als Klartext aus einem Property-File gelesen wird.
 *
 * @author Hugo Graf
 * @version 1.0
 * @since 04.07.2001
 */
public class ColorString {

  // Die Initaliserungstabelle fuer die Strings der Farben /
  public static final String  black = "black";
  public static final String  blue = "blue";
  public static final String  cyan = "cyan";
  public static final String  darkGray = "darkGray";
  public static final String  gray = "gray";
  public static final String  green = "green";
  public static final String  lightGray = "lightGray";
  public static final String  magenta = "magenta";
  public static final String  orange = "orange";
  public static final String  pink = "pink";
  public static final String  red = "red";
  public static final String  white = "white";
  public static final String  yellow = "yellow";
  protected static Hashtable  colors;

  /**
   * Initialiseriung einer Hashtable, damit die Farbe schnell gefunden werden kann.
   */
  private static void initColors() {
    colors = new Hashtable();

    colors.put(ColorString.black, Color.black);
    colors.put(ColorString.blue, Color.blue);
    colors.put(ColorString.cyan, Color.cyan);
    colors.put(ColorString.darkGray, Color.darkGray);
    colors.put(ColorString.gray, Color.gray);
    colors.put(ColorString.green, Color.green);
    colors.put(ColorString.lightGray, Color.lightGray);
    colors.put(ColorString.magenta, Color.magenta);
    colors.put(ColorString.orange, Color.orange);
    colors.put(ColorString.pink, Color.pink);
    colors.put(ColorString.red, Color.red);
    colors.put(ColorString.white, Color.white);
    colors.put(ColorString.yellow, Color.yellow);
  } 

  
  /**
   * Gibt eine Color Konstante aufgrund einer Farbe in einem String zurck
   *
   * @param strColor Name der Farbe wie z.B. "red", "black", "blue" usw.
   *
   * @return Color Konstante welche zur weiteren Verarbeitung benutzt werden kann.
   */
  public static final Color getColor(String strColor) {
    if (colors == null) {
      initColors();
    } // if

    return (Color) colors.get(strColor);
  }  // getColor
  
  
   public static final String  getColorString(Color searchColor) {
    String strColor = null;
    if (colors == null) {
      initColors();
    } // if
    Enumeration e = colors.keys();
    while(e.hasMoreElements()) {
      strColor = (String) e.nextElement();
      if(colors.get(strColor).equals(searchColor)) {
        break;
      }  // if
    }    // while
    return strColor;
  }  // getColor
  

}

