package wesen.util;

import java.util.Observable;

/**
 * Erweitert den bestehenden java.util.Observable in der Weise dass dieser 
 * nicht nur als Basisklass benutzt werden kann.
 *
 * @author Hugo Graf
 * @version 1
 * @since 24.08.2001
 */
public class NewObservable extends Observable {

  /**
   * Mit dieser Methode wird auch setChanged durchgefuehrt.
   *
   * @see java.util.Observable#notifyObservers()
   */
  public void notifyObservers() {
    this.notifyObservers(null);
  } 

  /**
   * Mit dieser Methode wird auch setChanged durchgefuehrt.
   *
   * @see java.util.Observable#notifyObservers(Object)
   */
  public void notifyObservers(Object arg) {
    super.setChanged();
    super.notifyObservers(arg);
  } 

}

